Set a time spent

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/tasks/{task_id}/time-spents/{date}/persons/{person_id}

Set the time spent of a person on a task for a date. The duration replaces the current duration. An administrator can change the time of all the persons. For other users, the person must be an assignee of the task. The person can change their own time. A manager of the project can change the time of the assignees. You cannot change the time of a bot, except when the project enables bot collaboration.

Path parameters

  • task_id string(uuid) Required

    Unique identifier of the task

  • date string(date) Required

    Date in the YYYY-MM-DD format

  • person_id string(uuid) Required

    Unique identifier of the person

application/json

Body Required

  • duration number

Responses

  • 201 application/json

    The time spent

    Hide response attributes Show response attributes object
    • id string(uuid)
    • task_id string(uuid)
    • person_id string(uuid)
    • date string(date)
    • duration number
    • created_at string(date-time)
  • 400

    The date or the duration is not valid

  • 403

    You cannot change the time of this person, or the person is a bot

  • 404

    The task or the person does not exist

POST /actions/tasks/{task_id}/time-spents/{date}/persons/{person_id}
curl -X POST "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "duration": 120
}'
import requests

url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "duration": 120
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "duration": 120
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "task_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "date": "2022-07-12",
  "duration": 120,
  "created_at": "2024-01-15T10:30:00Z"
}